// deployer BashModule header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(BASHMODULE_H)
#define BASHMODULE_H

#include "Module.h"

class BashModule : public Module
{
    public:
    BashModule();
    ~BashModule(){} //inline
    int Prepare ();
    int Deploy (string serviceUsername);
    int Remove(string serviceUsername);
    int Clean ();
    private:
    int executeScript(string serviceUsername,string script);
    int executeScriptAs(string serviceUsername,string script);

};

#endif